function delta = DeltaExtBin(s0,x,si,r,q,t,n)
% Extended Binomial Tree - European Call
dt  = t/n; 
u = exp(si*sqrt(dt)); 
d = exp(-si*sqrt(dt)); 
a = exp((r-q)*dt); 
p = (a-d)/(u-d); 

n = n+2;     % add 2 periods
for j = 0:n  % the last period stock price & payoff
    s(j+1) = s0*d^(n-j)*u^j;
    c(j+1) = max(s(j+1)-x,0);
end

for i = n-1:-1:0  % i-th period
    for j = 0:i 
        c(j+1) = (p*c(j+2)+(1-p)*c(j+1)) * exp(-r*dt);
    end
    if i == 2
        c0 = c(1);   % record the call price at s0*d^2
    end
end

c2 = c(3);
s0 = s0*d^2;
s2 = s0*u^2;

delta =(c2-c0)/(s2-s0);