function price = FixStkLBCallMC(S_int,k,sigma,r,T,n)
% S_int: Initial stock value
% sigma: Standard derivation
% r: Risk free interest rate
% T: Time to maturity
% n: The number of repeat
R = exp(r*T);
sum = 0;
for i = 1:n
    dt=T/2;
    S=zeros(3);
    S(1)=S_int;
    for j=1:2
        S(j+1)=S(j)*exp( dt*(r-0.5*(sigma^2)) + sigma*sqrt(dt)*randn );
    end
    c = max(S(3)-k,S(2)-k)/R;
    c = max(c,0);
    sum = sum + c;
end
price = sum/n;