function StockMC(S_int,sigma,r,T,n)
% S_int: Initial stock value
% sigma: Standard derivation
% r: Risk free interest rate
% T: Time to maturity
% n: The number of periods

dt=T/n;
S=zeros(n+1);
S(1)=S_int;
t=zeros(n+1);   %Arrayإߦn

for j=1:n
   t(j+1)=dt*j;
end

for j=1:n
	S(j+1)=S(j)*exp( dt*(r-0.5*(sigma^2)) + sigma*sqrt(dt)*randn );
end

plot(t,S,'r');
xlabel('Time');
ylabel('Stock Price');
hold on;